clifractgen(1)

NAME
clifractgen - Fractal Generator

SYNOPSIS
clifractgen input_file output_file
[-W image_width | - -width image_width]
[-H image_height | - -height image_height]
[-M max_iterations | - -max-iterations max_iterations]
clifractgen [-h | - -help]
clifractgen [-v | - -version]

DESCRIPTION
clifractgen is a simple Qt-based fractal generator program for Mandelbrot fractals. The image size is only limited by virtual memory. It is possible to zoom into images. Image parameters can be saved in and loaded from FractGen Settings Files (FSF). These files are encoded in XML. While the standard file extension is .fsf, clifractgen detects the file type by reading its XML structure, meaning the extension is not strictly required.
The intention of this program is to generate graphics to be post-processed by other image tools, e.g. in order to generate nice screen backgrounds or book covers.
This is the command-line version of FractGen. This program can be used to calculate files created by FractGen on machines without GUI, e.g. to produce high-resolution images on a powerful server.

EXIT STATUS
The clifractgen tool exits with 0 on success, and >0 in case of an error.

ARGUMENTS
The following argument may be provided:

input_file
    Specifies the input file.

output_file
    Specifies the output file.

-W image_width | - -width image_width
    Specifies the image width in pixels. Default: 1024.

-H image_height | - -height image_height
    Specifies the image height in pixels. Default: 768.

-M max_iterations | - -max-iterations max_iterations
    Specifies the maximum number of iterations. Default: 250.

-h | - -help
    Show arguments help and exit.

-v | - -version
    Show version and exit.

EXAMPLES

clifractgen -h

clifractgen -v

clifractgen fractgen.fsf fractgen-uhd.png -W 3840 -H 2160 -M 10000

clifractgen alpha05.fsf alpha05.png --width 3840 --height 2160 --max-iterations 10000

clifractgen beta07.fsf beta07-A3.png -W21000 -H14850 -M10000

SEE ALSO
fractgen(1), kfractgen(1)

NOTES
This program is part of FractGen. The latest version of FractGen can be found on the FractGen Homepage at FractGen Homepage: https://www.nntb.no/~dreibh/fractalgenerator/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh